Subject: bug#9909: emacsclient -a "" -s server-name does not start/connect to named server

From: Chong Yidong <[email-masked]>
Date: Sat, 03 Nov 2012 17:01:01 +0800

Gregor Zattler <[email-masked]> writes:

> emacsclient -a "" 
> starts a new server if there is none before and connects to it.
>
> I would expect that emacsclient -a "" -s my-server-name behaves the
> same but starts a server with server-name my-server-name and connects
> to this specific emacs server.
>
> emacsclient.emacs-snapshot -a "" -s my-server-name
> does not start a server but instead says:
>     emacsclient.emacs-snapshot: can't find socket; have you started the
>     server?
>     To start the server in Emacs, type "M-x server-start".
>     Error: Could not start the Emacs daemon

I could not reproduce this bug with the latest bzr checkout, nor with
Emacs 24.1 and 24.2.  I think it's been fixed in the meantime; could you
check it it still fails with you?